<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN"
    "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">

<node name="/" xmlns:tp="http://telepathy.freedesktop.org/wiki/DbusSpec#extensions-v0">

  <interface name="org.freedesktop.DBus.ObjectManager">

    <method name="GetManagedObjects">
      <arg type="a{oa{sa{sv}}}" name="object_paths_interfaces_and_properties" direction="out"/>
      <annotation name="org.qtproject.QtDBus.QtTypeName.Out0" value="Oscl::Qt::DBus::FreeDesktop::ObjectManager::ManagedObjectList"/>
    </method>

    <signal name="InterfacesAdded">
      <arg type="o" name="object_path"/>
      <arg type="a{sa{sv}}" name="interfaces_and_properties"/>
      <annotation name="org.qtproject.QtDBus.QtTypeName.In1" value="Oscl::Qt::DBus::FreeDesktop::ObjectManager::InterfaceList"/>
    </signal>

    <signal name="InterfacesRemoved">
      <arg type="o" name="object_path"/>
      <arg type="as" name="interfaces"/>
    </signal>

  </interface>
</node>
